Debian Bug report logs - #387489
RM: gal0.x -- RoQA; orphaned, obsolete GNOME 1 package, no significant revdeps

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Nathanael Nerode <neroden@gcc.gnu.org>

Date: Thu, 14 Sep 2006 18:03:13 UTC

Severity: normal

Tags: moreinfo

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#387489; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@gcc.gnu.org>:
New Bug report received and forwarded. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@gcc.gnu.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RM: gal0.x -- RoQA; orphaned, obsolete GNOME 1 package, no significant revdeps
Date: Thu, 14 Sep 2006 13:40:41 -0400
Package: ftp.debian.org
Severity: normal

This is an obsolete GNOME 1 package.

Reverse depends are
* gnucash; version in testing no longer uses this
* gtkhtml; basically unused, removal has been requested
* libgtkhtml-perl; basically unused, removal has been requested
* gpredict: Latest upload to unstable does not use this: see
http://lists.debian.org/debian-devel/2006/09/msg00261.html.

So gal0.x can and should be removed from unstable.



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#387489; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #10 received at 387489@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Nathanael Nerode <neroden@gcc.gnu.org>, 387489@bugs.debian.org
Cc: Debian Bugs Control Bot <control@bugs.debian.org>, Goedson Teixeira Paixao <goedson@debian.org>
Subject: Re: RM: gal0.x -- RoQA; orphaned, obsolete GNOME 1 package, no significant revdeps
Date: Tue, 17 Oct 2006 20:14:14 +0200
tags 387489 moreinfo
thanks

On Thu, Sep 14, 2006 at 01:40:41PM -0400, Nathanael Nerode wrote:
> Package: ftp.debian.org
> Severity: normal
> 
> This is an obsolete GNOME 1 package.
> 
> Reverse depends are
> * gnucash; version in testing no longer uses this
> * gtkhtml; basically unused, removal has been requested
> * libgtkhtml-perl; basically unused, removal has been requested
> * gpredict: Latest upload to unstable does not use this: see
> http://lists.debian.org/debian-devel/2006/09/msg00261.html.

And gabber... and gabber2 isn't ready yet for release. Interestingly,
only a build-dependency though, not a runtime dependency.

What's with that?

--Jeroen

-- 
Jeroen van Wolffelaar
Jeroen@wolffelaar.nl (also for Jabber & MSN; ICQ: 33944357)
http://Jeroen.A-Eskwadraat.nl



Tags added: moreinfo Request was from Jeroen van Wolffelaar <jeroen@wolffelaar.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nathanael Nerode <neroden@gcc.gnu.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 387489-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 387489-close@bugs.debian.org
Cc: gal0.x@packages.debian.org, gal0.x@packages.qa.debian.org
Subject: Bug#387489: fixed
Date: Wed, 18 Oct 2006 11:38:29 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

    gal0.x |     0.24-8 | source
libgal-data |     0.24-8 | all
libgal-dev |     0.24-8 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
  libgal23 |     0.24-8 | alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 387489@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, James Troup and others <ftpmaster@ftp-master.debian.org>:
Bug#387489; Package ftp.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Nathanael Nerode <neroden@fastmail.fm>:
Extra info received and forwarded to list. Copy sent to James Troup and others <ftpmaster@ftp-master.debian.org>. Full text and rfc822 format available.

Message #22 received at 387489@bugs.debian.org (full text, mbox):

From: Nathanael Nerode <neroden@fastmail.fm>
To: 387489@bugs.debian.org
Subject: Re: RM: gal0.x -- RoQA; orphaned, obsolete GNOME 1 package, no significant revdeps
Date: Tue, 24 Oct 2006 23:47:50 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Jeroen van Wolffelaar wrote:
> tags 387489 moreinfo
> thanks
> 
> On Thu, Sep 14, 2006 at 01:40:41PM -0400, Nathanael Nerode wrote:
>> Package: ftp.debian.org
>> Severity: normal
>>
>> This is an obsolete GNOME 1 package.
>>
>> Reverse depends are
>> * gnucash; version in testing no longer uses this
>> * gtkhtml; basically unused, removal has been requested
>> * libgtkhtml-perl; basically unused, removal has been requested
>> * gpredict: Latest upload to unstable does not use this: see
>> http://lists.debian.org/debian-devel/2006/09/msg00261.html.
> 
> And gabber... and gabber2 isn't ready yet for release. Interestingly,
> only a build-dependency though, not a runtime dependency.

Weird.  That's why I didn't catch it, I usually don't look for
Build-Deps which aren't Deps.

> 
> What's with that?
Very good question.  Might be spurious.

> 
> --Jeroen
> 

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFPt5mRGZ0aC4lkIIRAu6YAJ9eFJdnD6F4smVq6Dj8VNVrZ0Mq2gCeOAut
LjNNM4v44Mtz189+85xeO90=
=H+i7
-----END PGP SIGNATURE-----



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:48:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:22:26 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.